ContainerInstall.ConnectionType (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.session.tests

## Enum ContainerInstall.ConnectionType

- java.lang.Object
- - java.lang.Enum<ContainerInstall.ConnectionType>
  - - org.apache.geode.session.tests.ContainerInstall.ConnectionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContainerInstall.ConnectionType>
  Enclosing class:
    ContainerInstall

      public static enum ContainerInstall.ConnectionType
      extends java.lang.Enum<ContainerInstall.ConnectionType>

  Represents the type of connection used in this installation Supports either PEER_TO_PEER or CLIENT_SERVER. Also containers several useful strings needed to identify XML files or connection types when setting up containers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CACHING_CLIENT_SERVER`
    `CLIENT_SERVER`
    `PEER_TO_PEER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `enableLocalCache()`
    `java.lang.String` | `getCacheXMLFileName()`
    `java.lang.String` | `getName()`
    `boolean` | `isClientServer()`
    `static ContainerInstall.ConnectionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContainerInstall.ConnectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PEER_TO_PEER

          public static final ContainerInstall.ConnectionType PEER_TO_PEER

    - #### CLIENT_SERVER

          public static final ContainerInstall.ConnectionType CLIENT_SERVER

    - #### CACHING_CLIENT_SERVER

          public static final ContainerInstall.ConnectionType CACHING_CLIENT_SERVER

  - ### Method Detail

    - #### values

          public static ContainerInstall.ConnectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContainerInstall.ConnectionType c : ContainerInstall.ConnectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContainerInstall.ConnectionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

    - #### getCacheXMLFileName

          public java.lang.String getCacheXMLFileName()

    - #### enableLocalCache

          public boolean enableLocalCache()

    - #### isClientServer

          public boolean isClientServer()